//首页商品
$(document).on("pageshow", "#index", function () {
 
    //加载最新资讯
    $("#index_list_ul").empty();
    $("#index_getmore").html("数据加载中...");
    $.ajax({
        url: "program/operate.ashx?a=like",
        cache: false,
        error: function () { $("#index_getmore").html("加载失败,重试"); },
        success: function (result) {
            if (result != '') {
                $("#index_list_ul").append(result);   // prepend
                $("#index_list_ul").listview('refresh');
                $("#index_getmore").html("加载更多");
            } else {
                $("#index_getmore").html("已无最新数据");
            }
        }
    });
});

//资讯列表页
$(document).on("pageshow", "#all_information", function () {
    //初始化页面
    $("#all_information_ul").empty();
    $("#allinformation_getmore").html("数据加载中....")
    $.ajax({
        url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
        data:{a:"all_information",p:"0"},
        cache: false,
        error: function () { $("#allinformation_getmore").html("加载失败，请重试"); },
        success: function (result) {
            if (result != '') {
                $("#all_information_ul").append(result);
                $("#all_information_ul").listview('refresh');
                $("#allinformation_getmore").html("加载更多");
            } else {
                $("#allinformation_getmore").html("已无最新数据");
            }
        }
    });
    //初始化结束

    //绑定加载更多按钮事件

    $("#allinformation_getmore").on("click", function () {
        var p = $("#all_information_ul li:last").attr("id");
        $("#allinformation_getmore").html("数据加载中....")
        $.ajax({
            url: "program/operate.ashx?n="+Date.now.toString("yyyMMddhhmmss"),
            data:{a:"all_information",p:p},
            cache: false,
            error: function () {
                $("#allinformation_getmore").html("已无最新数据");
            },
            success: function (result) {
                if (result != '') {
                    $("#all_information_ul").append(result);
                    $("#all_information_ul").listview('refresh');
                    $("#allinformation_getmore").html("加载更多")
                } else {
                    $("#allinformation_getmore").html("已无最新数据");
                }
            }
        });
    });

});

//资讯分类


/******************** product_list ********************/

function typelist() {
    if ($("#content_type").is(":hidden")) {
        $("#content_type").show();
        $("div[class='content_type_left']").hide();
    }
    else {
        $("#content_type").hide();
        $("img[id^='content_type_right_list_img']").attr({
            "src": "images/product_list_01.png"
        });
        $("span[id^='content_type_right_list_span']").css("color", "#fff");
    }
}
//分类跳转
function type_show(cur) {
    $("#content_type").hide();
    $.mobile.changePage(cur,{ transition: "slideup" });
}

function type_choose() {
    $("#content_type").hide();

    $("img[id^='content_type_right_list_img']").attr({
        "src": "images/product_list_01.png"
    });
    $("span[id^='content_type_right_list_span']").css("color", "#fff");
}

//产品分类详细页
$(document).on("pageshow", "#product_list", function () {
    $("#product_list_ul").empty();
   
    var classid = $("#in_classid").attr("value");
    $.ajax({
        url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
        data: { a: "products", p: "0", classid: classid },
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#product_list_ul").append(result);
                $("#product_list_ul").listview('refresh');
            }
        }
    });

    //初始化结束

    //绑定加载更多按钮事件

    $("#product_list_getmore").on("click", function () {
        var p = $("#product_list_ul li:last").attr("id");
        var classid = $("#in_classid").attr("value");
        $("#product_list_getmore").html("数据加载中....");
       
        $.ajax({
            url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
            data: { a: "products", p: p, classid: classid },
            cache: false,
            error: function () {
                $("#information_list_getmore").html("已无最新数据");
            },
            success: function (result) {
                if (result != '') {
                    $("#product_list_ul").append(result);
                    $("#product_list_ul").listview('refresh');
                    $("#product_list_getmore").html("加载更多")
                } else {
                    $("#product_list_getmore").html("已无最新数据");
                }
            }
        });
    });

});


/******************** information_list ********************/

$(document).on("pageshow", "#information_list", function () {
    $("#information_list_ul").empty();
    var classid = $("#in_classid").attr("value");
    $.ajax({
        url: "program/operate.ashx?n="+Date.now.toString("yyyMMddhhmmss"),
        data: { a: "information_list", p: "0", classid: classid },
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#information_list_ul").append(result);
                $("#information_list_ul").listview('refresh');
            }
        }
    });

    //初始化结束


    //绑定加载更多按钮事件

    $("#information_list_getmore").on("click", function () {
        var p = $("#information_list_ul li:last").attr("id");
        var classid = $("#in_classid").attr("value");
        $("#information_list_getmore").html("数据加载中....")
        $.ajax({
            url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
            data: { a: "information_list", p: p, classid: classid },
            cache: false,
            error: function () {
                $("#information_list_getmore").html("已无最新数据");
            },
            success: function (result) {
                if (result != '') {
                    $("#information_list_ul").append(result);
                    $("#information_list_ul").listview('refresh');
                    $("#information_list_getmore").html("加载更多")
                } else {
                    $("#information_list_getmore").html("已无最新数据");
                }
            }
        });
    });

});

//text 提示文字
//type 类型：1、返回，2、跳转
//url 跳转网址
//function alert(text) {
//    $("#myalert").attr("href", "alert.aspx?a_text=" + atext + "&a_url=''");
//    $("#myalert").trigger("click");
//}

//function alert(text, surl) {
//    $("#myalert").attr("href", "alert.aspx?a_text=" + text + "&a_url=" + surl);
//    $("#myalert").trigger("click");
//}

function sharelist() {
    if ($("#content_share").is(":hidden")) {
        $("#content_share").show();
    }
    else {
        $("#content_share").hide();
    }
}
function share() {
    $("#content_share").hide();
    alert("分享成功");
}



//所有产品页面
$(document).on("pageshow", "#product", function () {
    //初始化页面
    $("#product_ul").empty();
    $("#product_getmore").html("数据加载中....")
    $.ajax({
        url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
        data: { a: "allproducts" },
        cache: false,
        error: function () { $("#product_getmore").html("加载失败，请重试"); },
        success: function (result) {
            if (result != '') {
                $("#product_ul").append(result);
                $("#product_ul").listview('refresh');
                $("#product_getmore").hide();
            } else {
                $("#product_getmore").hide();
            }
        }
    });
    //初始化结束

    //绑定加载更多按钮事件

    $("#allinformation_getmore").on("click", function () {
        var p = $("#all_information_ul li:last").attr("id");
        $("#allinformation_getmore").html("数据加载中....")
        $.ajax({
            url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
            data: { a: "all_information", p: p },
            cache: false,
            error: function () {
                $("#allinformation_getmore").html("已无最新数据");
            },
            success: function (result) {
                if (result != '') {
                    $("#all_information_ul").append(result);
                    $("#all_information_ul").listview('refresh');
                    $("#allinformation_getmore").html("加载更多")
                } else {
                    $("#allinformation_getmore").html("已无最新数据");
                }
            }
        });
    });

});


//留言页面
$(document).on("pageshow", "#contact", function () {

    //绑定加载更多按钮事件

    $("#m_submit").on("click", function () {
        var userName = $("#userName").val();
        var userTel = $("#userTel").val();
        var askinfo = $("#askinfo").val();

        if (userName == "" || userTel == "" || askinfo == "请留下您的建议和意见") {
            alert("请将信息填写完整");
            return false;
        } else {

            $("#m_submit").html("数据提交中....")
            $.ajax({
                url: "program/operate.ashx?n=" + Date.now.toString("yyyMMddhhmmss"),
                data: { a: "message",username:userName,usertel:userTel,askinfo:askinfo },
                cache: false,
                error: function () {
                    $("#m_submit").html("提交失败");
                },
                success: function (result) {
                    if (result == 'ok') {
                        alert("留言成功！");
                        $("#userName").val("");
                        $("#userTel").val("");
                        $("#askinfo").val("");
                    } else {
                        alert("留言失败！" + result);
                    }
                    $("#m_submit").html("提交留言")
                }
            });
        }
    });
});




